Bug 115614 - intermezzo module missing from kernel-unsupported
intermezzo module missing from kernel-unsupported
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-13 15:48 EST by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-16 08:36:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-13 15:48:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
It is expected that the 2.4 kernel modules provided standard with
RedHat GNU/Linux v9 would also appear in RH AS 3.0 either in the
kernel or kernel-unsupported package.  The kernel portion of
intermezzo was provided with RH v9 kernel and updates but does not
appear in any kernel packages for RH AS 3.0 making migration and AS
3.0 kernel updates more problematic.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RH9 and configure intermezzo
2.Upgrade to RH AS 3 including installing kernel-unsupported

Actual Results:  Intermezzo kernel modules must be re-compiled by the
customer after every kernel upgrade.

Expected Results:  It is expected that modules provided by RH9 but are
not supported would appear in kernel-unsupported package.

Additional info:
Comment 2 Stephen Tweedie 2004-02-16 08:36:47 EST
The EA/ACL patches that we use for RHEL3 do not support InterMezzo:
the intermezzo.o module simply fails to compile with official upstream
EA/ACL applied.  Given that EA/ACL is a feature that we support in
RHEL3 and we don't support InterMezzo, we had no choice but to turn it
off in the build.

Note You need to log in before you can comment on or make changes to this bug.